Bug 616431 - Firefox ignores global extension paths
Firefox ignores global extension paths
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Horak
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 08:56 EDT by Ulrich Sibiller
Modified: 2014-03-25 09:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 09:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Sibiller 2010-07-20 08:56:40 EDT
Description of problem:

Firefox does not use global extension path as documented in https://developer.mozilla.org/en/Installing_extensions

Version-Release number of selected component (if applicable):

All redhat firefox rpms.

How reproducible:

Steps to Reproduce:
1.Put an extension in /usr/lib64/mozilla/extensions or /usr/share/mozilla/extensions
2.run firefox -ProfileManager. 
3.create a new profile
  
Actual results:
The installed extension is not used.

Expected results:
The installed extension is used.

Additional info:
Using a firefox tarbar provided by mozilla.org the extension directories are respected.
Comment 1 Matěj Cepl 2010-07-24 15:17:26 EDT
Can reproduce ...

1. copy https://addons.mozilla.org/cs/firefox/downloads/latest/45281/addon-45281-latest.xpi
to /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2. Restart firefox
3. You get dialog whether unsigned extension should be installed
4. Click "Install"
5. Firefox starts but the extension is not installed (even after restart)
Comment 2 Matěj Cepl 2010-07-25 04:25:39 EDT
Actually I get the installation dialog on every restart of Firefox now.
Comment 3 Matěj Cepl 2010-07-27 11:03:21 EDT
I have unpacked my https://fedorahosted.org/releases/b/u/bugzilla-triage-scripts/bugzilla-triage.xpi file to /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/jid0-uXmbeWgOltUUuqrHKhrR7hW3IQY@jetpack, restarted firefox and got this exception on stdout/stderr:

[Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIXPCComponents_Utils.import]"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: file:///usr/share/mozilla/extensions/%7Bec8030f7-c20a-464f-9b0e-13a3a9e97384%7D/jid0-uXmbeWgOltUUuqrHKhrR7hW3IQY@jetpack/components/harness.js :: buildLoader :: line 180"  data: no] (undefined:180)

Note that this .xpi file works just fine when installed via Tools/Addons to the personal directory.
Comment 4 Jan Horak 2014-03-25 09:11:35 EDT
This has been fixed during rebase to 24 ESR. I've tried firefox-24.4.0-1.el5_10 and it works when following steps in comment 3.

Note You need to log in before you can comment on or make changes to this bug.